---
title: NavigatorPlugins.javaEnabled()
slug: Web/API/NavigatorPlugins/javaEnabled
tags:
  - API
  - Method
  - Reference
  - Référence(2)
---
<p>{{ APIRef("HTML DOM") }}</p>

<p>This method indicates whether the current browser is Java-enabled or not.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval"><em>result</em> = window.navigator.javaEnabled()
</pre>

<h2 id="Example">Example</h2>

<pre class="eval">if (window.navigator.javaEnabled()) {
   // browser has java
}
</pre>

<h2 id="Notes">Notes</h2>

<p>The return value for this method indicates whether the preference that controls Java is on or off - not whether the browser offers Java support in general.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('HTML WHATWG', '#dom-navigator-javaenabled', 'NavigatorPlugins.javaEnabled')}}</td>
			<td>{{Spec2('HTML WHATWG')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NavigatorPlugins.javaEnabled")}}</p>
